Package generic

# Class AbstractUnionedCollection<E>

java.lang.Object
java.util.AbstractCollection<E>
generic.AbstractUnionedCollection<E>

All Implemented Interfaces:
  `Iterable<E>`, `Collection<E>`

Direct Known Subclasses:
  `CatenatedCollection`

public abstract class AbstractUnionedCollection<E> extends AbstractCollection<E>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final Collection<? extends Collection<? extends E>>`
  `collections`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractUnionedCollection(Collection<? extends E>... collections)`
  `AbstractUnionedCollection(Collection<? extends Collection<? extends E>> collections)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  `boolean`
  `contains(Object o)`
  `boolean`
  `isEmpty()`
  `boolean`
  `remove(Object o)`
  `boolean`
  `removeAll(Collection<?> c)`
  `boolean`
  `retainAll(Collection<?> c)`
  `int`
  `size()`

  ### Methods inherited from class java.util.AbstractCollection

  `add, addAll, containsAll, iterator, toArray, toArray, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `equals, hashCode, parallelStream, removeIf, spliterator, stream, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

- ## Field Details

  - ### collections

    protected final Collection<? extends Collection<? extends E>> collections

- ## Constructor Details

  - ### AbstractUnionedCollection

    public AbstractUnionedCollection(Collection<? extends Collection<? extends E>> collections)

  - ### AbstractUnionedCollection

    @SafeVarargs public AbstractUnionedCollection(Collection<? extends E>... collections)

- ## Method Details

  - ### size

    public int size()
    Specified by:
      `size` in interface `Collection<E>`
    Specified by:
      `size` in class `AbstractCollection<E>`

  - ### isEmpty

    public boolean isEmpty()
    Specified by:
      `isEmpty` in interface `Collection<E>`
    Overrides:
      `isEmpty` in class `AbstractCollection<E>`

  - ### contains

    public boolean contains(Object o)
    Specified by:
      `contains` in interface `Collection<E>`
    Overrides:
      `contains` in class `AbstractCollection<E>`

  - ### remove

    public boolean remove(Object o)
    Specified by:
      `remove` in interface `Collection<E>`
    Overrides:
      `remove` in class `AbstractCollection<E>`

  - ### removeAll

    public boolean removeAll(Collection<?> c)
    Specified by:
      `removeAll` in interface `Collection<E>`
    Overrides:
      `removeAll` in class `AbstractCollection<E>`

  - ### retainAll

    public boolean retainAll(Collection<?> c)
    Specified by:
      `retainAll` in interface `Collection<E>`
    Overrides:
      `retainAll` in class `AbstractCollection<E>`

  - ### clear

    public void clear()
    Specified by:
      `clear` in interface `Collection<E>`
    Overrides:
      `clear` in class `AbstractCollection<E>`